Package picard.analysis

## Class CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.MergeableMetricBase
    - - picard.analysis.CollectWgsMetrics.WgsMetrics
      - - picard.analysis.CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage

- Enclosing class:
    CollectWgsMetricsWithNonZeroCoverage

      public static class CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage
      extends CollectWgsMetrics.WgsMetrics

  Metrics for evaluating the performance of whole genome sequencing experiments.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category` |

    - ### Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

      `MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category` | `CATEGORY` | One of either WHOLE_GENOME or NON_ZERO_REGIONS

    - ### Fields inherited from class picard.analysis.CollectWgsMetrics.WgsMetrics

      `coverageCap, GENOME_TERRITORY, HET_SNP_Q, HET_SNP_SENSITIVITY, highQualityDepthHistogram, intervals, MAD_COVERAGE, MEAN_COVERAGE, MEDIAN_COVERAGE, PCT_100X, PCT_10X, PCT_15X, PCT_1X, PCT_20X, PCT_25X, PCT_30X, PCT_40X, PCT_50X, PCT_5X, PCT_60X, PCT_70X, PCT_80X, PCT_90X, PCT_EXC_BASEQ, PCT_EXC_CAPPED, PCT_EXC_DUPE, PCT_EXC_MAPQ, PCT_EXC_OVERLAP, PCT_EXC_TOTAL, PCT_EXC_UNPAIRED, SD_COVERAGE, theoreticalHetSensitivitySampleSize, unfilteredBaseQHistogram, unfilteredDepthHistogram`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WgsMetricsWithNonZeroCoverage()` |

    `WgsMetricsWithNonZeroCoverage​(htsjdk.samtools.util.IntervalList intervals, htsjdk.samtools.util.Histogram<Integer> highQualityDepthHistogram, htsjdk.samtools.util.Histogram<Integer> unfilteredDepthHistogram, double pctExcludedByMapq, double pctExcludedByDupes, double pctExcludedByPairing, double pctExcludedByBaseq, double pctExcludedByOverlap, double pctExcludedByCapping, double pctTotal, int coverageCap, htsjdk.samtools.util.Histogram<Integer> unfilteredBaseQHistogram, int sampleSize)`

  - ### Method Summary

    - ### Methods inherited from class picard.analysis.CollectWgsMetrics.WgsMetrics

      `calculateDerivedFields, merge`

    - ### Methods inherited from class picard.analysis.MergeableMetricBase

      `canMerge, merge, mergeIfCan`

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CATEGORY

          public CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category CATEGORY

      One of either WHOLE_GENOME or NON_ZERO_REGIONS

  - ### Constructor Detail

    - #### WgsMetricsWithNonZeroCoverage

          public WgsMetricsWithNonZeroCoverage()

    - #### WgsMetricsWithNonZeroCoverage

          public WgsMetricsWithNonZeroCoverage​(htsjdk.samtools.util.IntervalList intervals,
                                               htsjdk.samtools.util.Histogram<Integer> highQualityDepthHistogram,
                                               htsjdk.samtools.util.Histogram<Integer> unfilteredDepthHistogram,
                                               double pctExcludedByMapq,
                                               double pctExcludedByDupes,
                                               double pctExcludedByPairing,
                                               double pctExcludedByBaseq,
                                               double pctExcludedByOverlap,
                                               double pctExcludedByCapping,
                                               double pctTotal,
                                               int coverageCap,
                                               htsjdk.samtools.util.Histogram<Integer> unfilteredBaseQHistogram,
                                               int sampleSize)